# frozen_string_literal: true

source 'https://rubygems.org'

gem 'gitlab-qa', '~> 11', '>= 11.2.0', require: 'gitlab/qa'
gem 'gitlab_quality-test_tooling', '~> 0.6.2', require: false
gem 'activesupport', '~> 6.1.7.2' # This should stay in sync with the root's Gemfile
gem 'allure-rspec', '~> 2.20.0'
gem 'capybara', '~> 3.39.2'
gem 'capybara-screenshot', '~> 1.0.26'
gem 'rake', '~> 13', '>= 13.0.6'
gem 'rspec', '~> 3.12'
# 4.9.1 drops Ruby 2.7 support. We can upgrade further after we drop Ruby 2.7 support.
gem 'selenium-webdriver', '= 4.9.0'
gem 'airborne', '~> 0.3.7', require: false # airborne is messing with rspec sandboxed mode so not requiring by default
gem 'rest-client', '~> 2.1.0'
gem 'rspec-retry', '~> 0.6.2', require: 'rspec/retry'
gem 'rspec_junit_formatter', '~> 0.6.0'
gem 'faker', '~> 3.2'
gem 'knapsack', '~> 4.0'
gem 'parallel_tests', '~> 4.2', '>= 4.2.1'
gem 'rotp', '~> 6.2.2'
gem 'parallel', '~> 1.23'
gem 'rainbow', '~> 3.1.1'
gem 'rspec-parameterized', '~> 1.0.0'
gem 'octokit', '~> 6.1.1'
gem "faraday-retry", "~> 2.2"
gem 'zeitwerk', '~> 2.6', '>= 2.6.8'
gem 'influxdb-client', '~> 2.9'
gem 'terminal-table', '~> 3.0.2', require: false
gem 'slack-notifier', '~> 2.4', require: false
gem 'fog-google', '~> 1.19', require: false
gem 'fog-core', '2.1.0', require: false # fog-google generates a ton of warnings with latest core
gem "warning", "~> 1.3"

gem 'confiner', '~> 0.4'

gem 'chemlab', '~> 0.10'
gem 'chemlab-library-www-gitlab-com', '~> 0.1', '>= 0.1.1'

# dependencies for jenkins client
gem 'nokogiri', '~> 1.15', '>= 1.15.2'

gem 'deprecation_toolkit', '~> 2.0.3', require: false

group :development do
  gem 'pry-byebug', '~> 3.10.1', platform: :mri
  gem "ruby-debug-ide", "~> 0.7.3"
end
